
The following is what I wrote down in the week following the experience:

In April of 2014, I went in for surgery to remove my gallbladder. It had failed over time and was no longer working, giving me a lot of problems. A couple of years prior, I had an inguinal hernia repair with the same surgeon and drug doc, without issue. The type of surgery was laparoscopic, which was a new type of procedure for me as prior surgery had been open.

I was brought into the operating room and got onto the table. I talked with the nurses and then I was put under. It was basically about the same as my last surgery.

Unknown time passed, and I came to in an instant with a rapid motion. It felt like I went adjacent to where I had been. Almost like a hole was torn in existence and I shot through it. There was complete blackness behind, below and to the left and right of me.

Directly in front of me, about 12 feet or so, was a very brightly lit 'being' standing in some sort of vague entry way. I could see a bright light blue sky like area above and in the distance behind the being. In my estimation, the being was approximately 8 to 9 feet in height and approximately 6 feet in width. It consisted of a very bright white light outward from a cigar-shaped center, with the edges of it fading to a bright cobalt blue. No matter what angle I viewed the being, I could not make out a face or many features of it. The light was extremely bright and fluid in nature. The being did have a definite substantial mass.

The connection I had to the being was extreme. It knew me to my core and had known me forever. The being felt like my brother and best friend wrapped into one, times 10,000. The being was extremely humble and loving. Although the loving feeling was different from anything I have experienced in earthly life, it's the best word I can come up with to describe it.

The best way to describe the speed at which information flowed that I can come up with is at the speed of thought, yet my speed of thought and cognitive abilities became extreme, and nothing like on earth. Maybe it was tenfold in capabilities. I immediately 'knew' a whole lot of information. For every thought, the answer was immediate. I could feel a connection to what felt like billions of individual entities, however, they were on the other side of the being.

I knew I was dead. Human emotions did not exist. There was no fear or ego or desire, there is only the 'love' type feeling, good will and humor.

I communicated with the being in what can best be described as telepathy, but with greater speed. The being identified himself as The Archangel Mich'l and he was seriously awesome! He is not at all human, being a completely different being than us or anything on Earth. My limited human vocabulary cannot adequately describe him. Mich'l told me 'I can use you, you can work with me.' I did not really understand this. Mich'l said he is a servant of god and has a number of duties. There is zero ego to Mich'l and his caring is deep. Apparently, I could help him with one or more of his duties. I wondered about God and he told me that God is all around us, in us, and everything. God Is. This communication is all telepathic at this point but his use of 'God Is' was clearly demonstrative in nature. He will take me to be presented to him.

Quick aside here, this really confused me when I later returned. How could God be everywhere and yet I be 'presented to him'? This took some working out for me even though the answer was clear when I was there. Despite being raised Catholic, I am not a very good one. The best way I can describe it is that God consists of three parts yet one part. Confusing, I know. What I felt of God all around me, and the connection to Mich'l, is what would be termed in a number of religions as the Holy Spirit. The Holy Spirit is God, it is that 'love' feeling I was referring to, a powerful energy and connective force. I would be presented to the Father. The father is distinct from the spirit, but also God. There is the son, who is not the father or the spirit, but is also God. God is literally three parts, yet one and everywhere. Confusing, yes, but it made complete sense where I was at.

Back to Mich'l. I felt extremely humbled and unworthy to be in his presence or where I was at. I asked why I was here. Mich'l told me I was there because I was a 'Righteous Man.' This term seemed to denote a category, or at least that was my impression, more than he was specifically describing me a certain way. This term has confused me since my return because it can be taken a couple of different ways on earth. I have been studying it the past couple of weeks. I am not complete in my study, but did find that the term together is actually in the bible verbatim, which I admit I have never read and am woefully ignorant of. That is changing as I have found some explanations in there for what I experienced.

The other big thing I got from the non-verbal exchange with Mich'l is that conducting oneself in an 'ethical' and 'honorable' manner is extremely important to God. Extremely. I cannot stress this enough. There are many things we may consider sin here that are of less importance there. There are things such as these and passing judgment towards others that are a much bigger deal than at least I had come to think before this experience. Those are two words though he specifically clarified. These are things I had done well and were examples of the reason I was there. I attach no ego to this; only pass it on for those who may have interest. There is no ego in heaven; it does not exist. Take of this what you will. In terms of the varied emotions on Earth, they are not present in that place. There was no sorrow, no anger, no regret, no greed, no anxiety, etc. I don't mean that I didn't experience them there; I mean that they literally do not exist and experiencing them was not possible.

I have clarified the non-verbal communication because it is identical to verbal communication in the sense that there is no confusion over what is said, but also because I had a verbal discourse with Mich'l.

Mich'l verbally asked me a question. He had a male, very clear voice and spoke in my native tongue, American English. I feel this was for my benefit only, as in, he could communicate in any language in existence. His voice came from the central cigar shaped area of his being of light, about 6 feet off from the ground. Mich'l said to me, 'You may come with me now if you like?' I took this as a question with an optional response.

I immediately, and extremely strongly, had the sensation and could see two balls of light near my left breast, or at least where it would be if I could see it, of the souls of my wife and infant daughter. I felt an overwhelming feeling of absolute responsibility for their protection. It was resoundingly powerful. I'm not sure if this will be edited out, but I believe in telling this as accurately as possible. I said to Mich'l, not in anger (doesn't exist there) but with extreme passion, 'There's no fu#$ing way.' Mich'l laughed at my response. It was a loving laugh with a feeling of appreciation and complete understanding. I felt, (never could see details of a face) that he had completely expected a response along those lines, and liked me even more for it, if that was possible. He replied to me, still laughing, 'Ok.'

The next instant, I awoke with a nurse in front of me. I asked her what went wrong. She appeared surprised by my question and told me that my heart had stopped. They believe I had a rare response to the CO2 that is pumped into the body cavity to give the surgeon room to work. I asked if they got it started again with shock or drugs. She responded 'drugs.'

There are a couple of things to round out the experience. I am still digesting a lot of it. The entire time I was there felt like approximately 30-45 seconds in earth time. The information flow is so extreme that I am going to need some time to work through it all. From estimates in my medical records, I was only down for a very short time, less than a minute. I did not experience rising out of my body, I went immediately to the entrance and Mich'l. There was no tunnel or light, yet when I was there; it is possible there was a tunnel behind me. It was just so black; I could not discern anything behind me. I did not experience any type of life review. For me it seemed like a review was complete and is always ongoing.

I also was not met by any dead relatives, although I did feel them in a general sense beyond Mich'l. All those thoughts were pre-conceived notions I had prior to this experience. I only add this because it still seems strange to me how different it was compared to what I had expected from church and whatnot. Up until this experience, I had an 'I have no clue what happens when you die, maybe nothing' kind of thought process. It was essentially an open question for me. I believed in god, because the existence of god was logical to me. I just didn't think anyone or any religion had a clue what happens. For obvious reasons I am forever changed.

One final thing, I wanted to discuss my thought process immediately after the experience. Initially, even though I knew otherwise, I looked for any scientific reason for the experience to the point of asking my surgeon for advice. He didn't have any, and I am unable to come up with an adequate scientific explanation. Next, I thought of a dream, but it was much clearer. I was literally awake. I then went over hallucination. I have never had one, so it seemed perhaps viable. The biggest problem here is that the experience went way outside of any pre-conceived notion I have ever had, and again, it was just too clear. I was clinically dead, which also makes this one a stretch. Probably the most interesting aspect of the experience is how clear it was. My memory of it is as clear as any waking memory I have of my life here on earth. I have zero explanation for that other than to say, it simply happened exactly as I remember it.

I provide this narrative of my experience with the hope that if may help people who read it and the hope that it may be useful to future research into this area.
